#!/bin/ksh
#
#ident	"@(#)make_slice.sh	1.4	04/12/15 SMI"
#
# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#


if [ $# -ne 1 ]
then
	echo "Usage: $0 hostname"
	exit 1
fi

conf_dir='/opt/SUNWstaf/config-util'
conf_file="$conf/config.s+h.info"
hname=$1
ms_status='/tmp/make_slices_status'

if [ -f conf_file ]
then
	echo "!Error: ${conf_file} does not exist."
fi

rsh -l root $home "rm -f ${ms_status} > /dev/null"
(rsh -l root $hname "cd ${conf_dir}; ./config.s+h -n >${ms_status} 2>&1" )&
exit 0
